Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class OfferAskOutDocuments
    Inherits FileAttachmentBase

    Private _OfferAskOut As OfferAskOut
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("OfferAskOut-OfferAskOutDocuments", GetType(OfferAskOut))> _
    Property OfferAskOut As OfferAskOut
        Get
            Return _OfferAskOut
        End Get
        Set(value As OfferAskOut)
            SetPropertyValue("OfferAskOut", _OfferAskOut, value)
        End Set
    End Property

End Class
